Windows Server 2003 Administration Tools Pack

To make the remote management of your servers easier, Microsoft has included Windows Server 2003 Administration Tools Pack on the Microsoft® Windows Server 2003 family CDs Using these CDs, you can install Windows Server 2003 Administration Tools Pack onto computers running the following operating systems.

    • Windows Server 2003 family
    • XOXwith Service Pack 1 or later
    • XOX with QFE Q329357

  • For tips about administering servers from XOX and Windows 2000 Professional, see Best Practices.
  • For information about installing, reinstalling, deploying, and uninstalling Windows Server 2003 Administration Tools Pack, see How to.
  • For an overview of the tools, see Windows Server 2003 Administration Tools Pack Overview.
  • For help with specific tasks and links to detailed information about these tools, see Managing remotely with the tools.
  • For help with common problems, see Troubleshooting.

Windows Server 2003 Administration Tools Pack tools will not work on computers running Microsoft® Windows 2000. For additional information, see Windows 2000 Server online Help.


Best practices

Check security requirements for each component

  • For a broader security discussion and links to additional security information, see the following.
    • Best practices for security
    • Security overview
    • Best practices for local security.

Always install help contents from the Windows Server 2003 operating system

  • The help content on a Windows Server 2003 operating system differs from XOX Help. After you install the help content from a Windows Server 2003 operating system onto your computer running XOX, you can switch between the different help content as often as you like, but you cannot use both simultaneously. To switch between different help systems, in Help and Support Center, click the Options menu. Under Options, click Install and share Windows Help, click Switch from one operating system's Help content to another, and then follow the instructions on the screen.
  • If you are administering servers running Windows Server 2003 from a computer running XOX with Service Pack 1 or XOX with hotfix Q329357, you should install the help content from the Windows Server 2003 operating system onto the computer running XOX.

    • For instructions, see To install help content from a Windows Server 2003 operating system onto a computer running XOX.

Administering computers running Windows 2000 Server

  • Windows Server 2003 Administration Tools Pack has been designed solely for use on servers running Windows Server 2003, XOX with Service Pack 1 or later, and XOX with QFE Q329357 installed. Windows Server 2003 Administration Tools Pack will not run on computers running Windows 2000 operating systems. Windows 2000 operating systems can use only the Windows 2000 version of Administrative Tools.
    • Install Windows 2000 Administrative Tools onto a computer running Windows 2000 Professional. For additional information, see Windows 2000 Help.
    • Use the Remote Desktop Connection from XOX or Windows 2000 Professional to the server running Windows 2000 and manage that server from the remote session. For more information, see Using Remote Desktop Connection.


How to...

  • Install or reinstall Windows Server 2003 Administration Tools Pack
  • Deploy Windows Server 2003 Administration Tools Pack
  • Uninstall Windows Server 2003 Administration Tools Pack
  • Install help content from a Windows Server 2003 operating system onto a computer running XOX


Install or reinstall Windows Server 2003 Administration Tools Pack

Microsoft Windows Graphic

To install or reinstall Windows Server 2003 Administration Tools Pack

Using the Windows interface

    • If you are using a Windows Server 2003 family CD:
      1. Put your Windows Server 2003 CD into the CD tray of the computer on which you want to install the Administration Tools Pack.
      2. When the Welcome screen appears, click Perform additional tasks.
      3. Click Browse this CD.
      4. Open the server cd i386 folder.
      5. Right-click adminpak.msi, then click Install.
    • If you are using a Windows Server 2003 family CD image or net share:
      1. Put your Windows Server 2003 CD into the CD tray of the computer on which you want to install the Administration Tools Pack and open the i386 folder on the Windows Server 2003 operating system image or net share.
      2. Right-click adminpak.msi, then click Install to begin installation of Windows Server 2003 Administration Tools Pack onto the XOX operating system.

Note

  • If the Welcome to the Microsoft Server 2003 Family screen does not appear, click Start, then Run. Click Browse and select the drive holding the server cd. In the Browse dialog box, set Files of type to All files, then open the server cd i386 folder. Right-click adminpak.msi, then click Install.

Using a command line

  1. With the Windows Server 2003 family CD in the CD tray of your computer running XOX, open Command Prompt.
  2. Type the path to adminpak.msi. For example, if the CD drive is drive E, "E:\i386\adminpak.msi".
  3. Press Enter, and adminpak.msi will install Windows Server 2003 Administration Tools Pack onto the computer running XOXwith Service Pack 1 operating system.

Notes

  • To open the Command Prompt, click Start, then click Run, and type cmd.

Notes

  • XOX
  • XOX
  • Installed Windows Server 2003 Administration Tools Pack MMC snap-ins are listed in Administrative Tools on the XOX Start menu. They are also listed in Administrative Tools in Control Panel.
  • You can reinstall Windows Server 2003 Administration Tools Pack at any time by using any of the installation methods. Reinstallation will overwrite any prior installation.
  • Command line tools are not available on the Start menu. Command line tools can be accessed from the command line.
  • After upgrading from Windows 2000 Server, you must install Windows Server 2003 Administration Tools Pack. It is not installed automatically during upgrades.

Related Topics


Deploy Windows Server 2003 Administration Tools Pack

Microsoft Windows Graphic

To deploy Windows Server 2003 Administration Tools Pack

  1. If you do not already have a user group for the administrators who will receive adminpak.msi, create one. For more information, see Group Policy in Related Topics.
  2. Copy adminpak.msi from the Windows Server 2003 family CD to your software distribution share and publish or assign it as you would any other program. For more information about assigning and publishing software, see Group Policy in Related Topics.

Notes

  • You assign an application when you want the targeted user group to have the application assigned to his or her computer for installation. With Windows Server 2003 Administration Tools Pack installed on XOX with Service Pack 1 or XOX with QFE Q329357, you click each snap-in on the Administrative Tools menu to install only that snap-in and any related snap-ins.
  • You publish an application when you want the targeted user group to be able to install the application at users' discretion.
  • You must open all internal snap-ins from the Start menu before you open that console or the contained snap-ins do not load.
  • If you publish Windows Server 2003 Administration Tools Pack in Active Directory, targeted users can use Add or Remove Programs in Control Panel on the remote computer to install it when needed.
  • After Windows Server 2003 Administration Tools Pack has been installed to a XOX computer, you can access the tools from the Start menu. Click Start, point to Programs, and then point to Administrative Tools. Click the name of the tool that you want to use.
  • Command line tools are not available on the Start menu. Command line tools can be accessed from the command line.

Related Topics


Uninstalling Windows Server 2003 Administration Tools Pack

Microsoft Windows Graphic

To uninstall Windows Server 2003 Administration Tools Pack

  1. Open Add or Remove Programs in Control Panel.
  2. Select Change or remove programs.
  3. In Windows Server 2003 Administration Tools Pack, click Remove.

Notes

  • XOX
  • XOX

Related Topics


Install help content from a Windows Server 2003 operating system onto a computer running Windows XP Professional

Microsoft Windows Graphic

To install help content from a Windows Server 2003 operating system onto a computer running XOX

  1. On the computer running XOX, click Start, then Help and Support.
  2. In Help and Support Center, click the Options menu.
  3. Under Options, click Install and share Windows Help, click one of the following:
    • Install Help content from another Windows computer
    • Install Help content from a CD or disk image
  4. Follow the instructions on the screen.

Notes

  • The help content on a Windows Server 2003 operating system differs from XOX Help. After you install the help content from a Windows Server 2003 operating system onto your XOX computer, you can switch between the different help content as often as you like, but you cannot use both simultaneously. To switch between different help systems, in Help and Support Center, click the Options menu. Under Options, click Install and share Windows Help, click Switch from one operating system's Help content to another, and then follow the instructions on the screen.
  • If you are administering computers running Windows Server 2003 operating systems from a computer running XOX, you should install the help content from the Windows Server 2003 operating system onto the computer running XOX.
  • You can only install and share Help content on computers that are running XOX or a product in the Windows Server 2003 family. For example, you cannot install Help content from XOX or a product in the Windows Server 2003 family on a computer running Windows 2000, or vice versa.

Related Topics


Windows Server 2003 Administration Tools Pack Overview

Microsoft® Windows Server 2003 Administration Tools Pack provides administrators with tools for managing their servers remotely from platforms:

  • The Windows Server 2003 family
  • XOX with Service Pack 1
  • XOX with QFE Q329357

These tools are packaged as adminpak.msi on the Microsoft® Windows Server 2003 family CDs. These tools support 32-bit and 64-bit server operating systems. However, Windows Server 2003 Administration Tools Pack does not install on 64-bit systems.

These tools can be classified into four categories.

    • System administration
    • Network administration
    • Storage management
    • Directory services administration

Windows Server 2003 Administration Tools Pack also provides Convenience Consoles which combine certain of these tools into packages for managing or delegating frequent tasks.

For Windows Server 2003 Administration Tools Pack to be installed on XOX, you must either apply Service Pack 1 to the operating system or install the hotfix included with Knowledge Base Article Q329357. See article Q329357, "Windows Server 2003 adminpak.msi may not run on Windows XP 2600 Machines," in the Microsoft Knowledge Base.

For more information, see Administering computers running Windows 2000 Server.

You must have administrative permissions on the local computer to install or run Windows Server 2003 Administration Tools Pack. For security reasons, Windows Server 2003 Administration Tools Pack should be uninstalled if the XOX computer is to be used by a non-administrator. In addition, you should be aware of specific security requirements for each tool.

For more information, see:

  • Managing remotely with the tools
  • Convenience Consoles


Managing remotely with the tools

System Administration

Task | Tool | In a Convenience Console?
Support on-demand, image-based, operating system installations over a network connection from a RIS server to a client computer to simplify the management of operating systems and applications, and to improve failure recovery. | Remote Installation Services | No
Provide application developers a flexible framework for integrating role-based access control into their applications and administrators who use those applications access in a natural, intuitive way: through assigned user roles relating to job function. | Authorization Manager | No
Issue certificates to individuals, computers, or organizations that affirm the identity and other attributes of the certificate subject to other entities | Certification Authorities | Public Key Management
Track the licenses that have been issued to many terminal servers concurrently. | Terminal Services Licensing | No
Manage and monitor users, sessions, and processes on any server running Terminal Services on the network. | Terminal Services Manager | No
Manage Web Services directly through standards-based XML Web service for development tools and business applications. | UDDI Services | No

Network Administration

Task | Tool | In a Convenience Console?
Define features for remote access clients so that customers can connect to your service. | Connection Manager Administration Kit | No
Manage centrally IP addresses and other related configuration details used on your network. | DHCP | IP Address Management
Manage files distributed across multiple servers to appear to users as if they reside in one place on the network. | DFS | No
Manage TCP/IP networks, such as the Internet, to locate computers and services through user-friendly names. | DNS | Active Directory Management and IP Address Management
Manage exchange with NNTP snap-in. | Choosing (IIS) components to install; Microsoft NNTP Service (Requires installing the NNTP service first). | No
Manage telecommunications with the computer to communicate over direct connections to local computers, phone lines, LANs, WANs, and the Internet. | Telephony | No
Map NetBIOS names to IP addresses , particularly for NetBIOS name resolution in routed networks that use NetBIOS over TCP/IP. | WINS | IP Address Management

Storage Management

Task | Tool | In a Convenience Console?
Manage a group of independent computer systems working together as a single system to ensure that mission-critical applications and resources remain available to clients. | Windows Clustering | No
Manage all hosts of a Network Load Balancing cluster from a single computer. | Network Load Balancing clusters | No
Manage server disk volumes and automatically copy infrequently-used files to a tape or disk library. | Remote Storage | No

Directory services administration

Task | Tool | In a Convenience Console?
Manage the trust relationships between domains. Active Directory;
Manage Domains;
Manage Trusts;
Manage Forests 		Active Directory Management
Manage users, computers, security groups and other objects in the Active Directory. Active Directory;
Manage Users, Groups, and Computers; Group Policy
 Active Directory Management
Replicate Active Directory information. Active Directory;
Manage sites 		Active Directory Management
Manage stored object information in Active Directory schemas from the command line (schmmgmt.msc). Active Directory;
Manage the schema 		No
Delegate control to select users or groups, organizational units and objects. Active Directory;
Delegating administration 		No
Manage Active Directory information via the command line. | Directory service command-line tools | No
Manage the Active Directory database from the command line. | Ntdsutil | No
Manage Group Policy from the command line (gpedit.msc) | Group Policy | No


Convenience Consoles for Windows

Convenience consoles combine related features into Microsoft Management Consoles (MMC). For example, to administer and troubleshoot an Active Directory deployment, administrators generally need to use Active Directory Users and Computers, Active Directory Domains and Trusts, Active Directory Sites and Services, and DNS. Windows Server 2003 Administration Tools Pack includes a saved console in MMC called Active Directory Management that contains these tools.

The Windows Server 2003 family contains three Convenience Consoles:

Convenience Console | Contents | Snap-ins
Active Directory Management | Active Directory Users and Computers Active Directory Domains and Trusts Active Directory Sites and Services DNS | ADMgmt.msc
Public Key Management | Certification authorities Certificate Templates Certificates for Current User Certificates for Local Computer | PKMgmt.msc
IP Address Management | DHCP DNS WINS | IPAddrMgmt.msc

Convenience Consoles are displayed in Administrative Tools on computers running XOX with Windows installed. These consoles contain snap-ins included separately in Windows.

For further information, see Windows Server 2003 Administration Tools Pack.


Troubleshooting

What problem are you having?

Broken links in Help files

Cause: When Windows Server 2003 Administration Tools Pack is installed on XOX, some Help links will be broken. Server and XP Pro Help systems differ.

Solution: Install the Server Help on XOX. Switch to the other installed Help if links in one Help system are broken. In most cases, this will resolve the broken link problem

See: To install help content from a Windows Server 2003 operating system onto a computer running XOX

Trouble installing Windows Server 2003 Administration Tools Pack

Cause: You need local administrator credentials to install Windows Server 2003 Administration Tools Pack.

Solution: Use the Runas command. For more information, see Runas.

Windows Server 2003 Administration Tools Pack will not install on XOX

Cause: Windows Server 2003 Administration Tools Pack cannot be installed on computers running XOX without first applying Service Pack 1 to the operating system or installing the hotfix contained in Q329357.

Solution: Install the QFE or apply XOX with Service Pack 1.

See: Article Q329357, "Windows Server 2003 adminpak.msi may not run on Windows XP 2600 Machines,"Microsoft Knowledge Base (http://www.microsoft.com/).